package org.jeecg.modules.workOrder.service;

import org.jeecg.modules.workOrder.entity.WorkOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.workOrder.model.WorkOrderDto;

/**
 * @Description: 任务工单
 * @Author: jeecg-boot
 * @Date:   2025-02-10
 * @Version: V1.0
 */
public interface IWorkOrderService extends IService<WorkOrder> {

    Boolean addWorkOrder(WorkOrder workOrder) throws Exception;

    Boolean stopWorkOrder(WorkOrder workOrder);

    WorkOrderDto getDetailbyId(String workOrderId, boolean queryAll);

    Boolean cancelWorkOrder(WorkOrder workOrder);
}
